For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Transactional Email Settings
              • PUTUpdate Transactional Email Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsEmail Statuses

Update Transactional Email Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/settings/email-statuses
PUT
/stores/:store_hash/v3/settings/email-statuses
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/settings/email-statuses \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "abandoned_cart_email": true,
> "account_details_changed_email": true,
> "combined_order_status_email": true,
> "invoice_email": true,
> "product_review_email": false,
> "return_confirmation_email": true,
> "return_statuschange_email": true,
> "createaccount_email": true,
> "createguestaccount_email": true,
> "giftcertificate_email": true,
> "ordermessage_notification": true
>}'
200Example
1{
2 "data": {
3 "abandoned_cart_email": true,
4 "account_details_changed_email": true,
5 "combined_order_status_email": true,
6 "invoice_email": true,
7 "product_review_email": false,
8 "return_confirmation_email": true,
9 "return_statuschange_email": true,
10 "createaccount_email": true,
11 "createguestaccount_email": true,
12 "giftcertificate_email": true,
13 "ordermessage_notification": true
14 },
15 "meta": {}
16}

Update global transactional email settings or create channel specific overrides by channel_id.

Was this page helpful?
Previous

Get Transactional Email Settings

Next

Create Favicon Image

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
abandoned_cart_emailbooleanOptional
account_details_changed_emailbooleanOptional
combined_order_status_emailbooleanOptional
create_account_emailbooleanOptional
create_guest_account_emailbooleanOptional
gift_certificate_emailbooleanOptional
invoice_emailbooleanOptional
order_message_notification_emailbooleanOptional
product_review_emailbooleanOptional
return_confirmation_emailbooleanOptional
return_statuschange_emailbooleanOptional

Response

OK
dataobject
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.